ResourceNames (ActiveMQ Artemis Web 1.1.0.wildfly-010 API)
Date: 2015-12-18

org.apache.activemq.artemis.api.core.management

## Class ResourceNames

- java.lang.Object
- - org.apache.activemq.artemis.api.core.management.ResourceNames

-     public final class ResourceNames
      extends Object

  Helper class used to build resource names used by management messages.
  Resource's name is build by appending its name to its corresponding type. For example, the resource name of the "foo" queue is `CORE_QUEUE + "foo"`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CORE_ACCEPTOR`
    `static String` | `CORE_ADDRESS`
    `static String` | `CORE_BRIDGE`
    `static String` | `CORE_BROADCAST_GROUP`
    `static String` | `CORE_CLUSTER_CONNECTION`
    `static String` | `CORE_DISCOVERY_GROUP`
    `static String` | `CORE_DIVERT`
    `static String` | `CORE_QUEUE`
    `static String` | `CORE_SERVER`
    `static String` | `JMS_CONNECTION_FACTORY`
    `static String` | `JMS_QUEUE`
    `static String` | `JMS_SERVER`
    `static String` | `JMS_TOPIC`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CORE_SERVER

          public static final String CORE_SERVER

      See Also:
        Constant Field Values

    - #### CORE_QUEUE

          public static final String CORE_QUEUE

      See Also:
        Constant Field Values

    - #### CORE_ADDRESS

          public static final String CORE_ADDRESS

      See Also:
        Constant Field Values

    - #### CORE_BRIDGE

          public static final String CORE_BRIDGE

      See Also:
        Constant Field Values

    - #### CORE_ACCEPTOR

          public static final String CORE_ACCEPTOR

      See Also:
        Constant Field Values

    - #### CORE_DIVERT

          public static final String CORE_DIVERT

      See Also:
        Constant Field Values

    - #### CORE_CLUSTER_CONNECTION

          public static final String CORE_CLUSTER_CONNECTION

      See Also:
        Constant Field Values

    - #### CORE_BROADCAST_GROUP

          public static final String CORE_BROADCAST_GROUP

      See Also:
        Constant Field Values

    - #### CORE_DISCOVERY_GROUP

          public static final String CORE_DISCOVERY_GROUP

      See Also:
        Constant Field Values

    - #### JMS_SERVER

          public static final String JMS_SERVER

      See Also:
        Constant Field Values

    - #### JMS_QUEUE

          public static final String JMS_QUEUE

      See Also:
        Constant Field Values

    - #### JMS_TOPIC

          public static final String JMS_TOPIC

      See Also:
        Constant Field Values

    - #### JMS_CONNECTION_FACTORY

          public static final String JMS_CONNECTION_FACTORY

      See Also:
        Constant Field Values

Copyright © 2015. All rights reserved.